# $Revision: 1.9 $, $Date: 2005/01/09 19:23:10 $

%define		pname		DeskTao
%define		pname_file	desktao

Summary:	DeskTao - displaying random passages from the Tao
Summary(pl):	DeskTao - wywietlanie losowych fragmentw z Tao
Name:		gDesklets-%{pname}
Version:	3.0
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://gdesklets.gnomedesktop.org/files/%{pname_file}-%{version}.tar.bz2
# Source0-md5:	fbbf7c9491483790aa731a78a63a0d22
Patch0:		%{pname_file}-tao-file.patch
URL:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=58
Requires:	gDesklets
Requires:	gDesklets-DeskQuote
Provides:	gDesklets-display
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sensorsdir	%{_datadir}/gdesklets/Sensors
%define		_displaysdir	%{_datadir}/gdesklets/Displays

%description
DeskTao displays random passages from the Tao (or any properly
marked-up text) on your desktop in suitably relaxing colours.

%description -l pl
DeskTao wywietla losowe fragmenty z Tao (lub dowolnego waciwie
pooznaczanego tekstu) na pulpicie w odpowiednio relaksujcych
kolorach.

%prep
%setup -q -n %{pname_file}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sensorsdir}/DeskQuote,%{_displaysdir}/%{pname}}

cp -R gfx *.display $RPM_BUILD_ROOT%{_displaysdir}/%{pname}
cp -R tao $RPM_BUILD_ROOT%{_sensorsdir}/DeskQuote

find $RPM_BUILD_ROOT%{_sensorsdir}/%{pname} -name "CVS" |xargs rm -rf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{_sensorsdir}/DeskQuote/*
%{_displaysdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gDesklets-DeskTao.spec,v $
Revision 1.9  2005/01/09 19:23:10  saq
- no python stuff here!
- release 4

Revision 1.8  2005/01/09 18:27:21  saq
- missing BR epoch and pyreqeq, rel 3

Revision 1.7  2004/11/03 13:37:11  paladine
- formatting

Revision 1.6  2004/08/18 20:16:13  undefine
- release 2

Revision 1.5  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2003/11/20 20:51:08  qboosh
- pl

Revision 1.3  2003/11/17 08:35:58  ankry
- cosmetics

Revision 1.2  2003/11/17 00:34:38  krzak
- noarch

Revision 1.1  2003/11/17 00:33:28  krzak
- new
